Delete File
Deletes a file and its converted text.
Path parameters
-
id string required
Responses
OK
application/json · delete-file-response-payload
The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>.
application/json · error-payload
No such file for this account, or it has expired.
application/json · error-payload
curl -X DELETE https://api.vultrinference.com/v1/files/file-6f1d2c9a4b7e8f0a1c2d3e4f \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"import os
import requests
response = requests.delete(
"https://api.vultrinference.com/v1/files/file-6f1d2c9a4b7e8f0a1c2d3e4f",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
)
print(response.json())const response = await fetch("https://api.vultrinference.com/v1/files/file-6f1d2c9a4b7e8f0a1c2d3e4f", {
method: "DELETE",
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
},
});
console.log(await response.json());Response · 200
{
"id": "string",
"object": "file",
"deleted": false
}